curl --request GET \
--url https://futures.kraken.com/api/history/v3/executions \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/api/history/v3/executions"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/api/history/v3/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/api/history/v3/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"len": 123,
"elements": [
{
"uid": "<string>",
"timestamp": 1604937694000,
"event": {
"execution": {
"execution": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"filled": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "Limit",
"clientId": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000,
"positionUid": "<string>",
"spotData": {
"margin": true,
"feePreference": "Base",
"quantityPreference": "Base"
},
"parentOfGroupId": "<string>",
"memberOfGroupId": "<string>",
"partnerOrderId": "<string>",
"regulatoryExternalUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"timestamp": 1604937694000,
"quantity": "1234.56789",
"price": "1234.56789",
"markPrice": "1234.56789",
"executionType": "maker",
"limitFilled": true,
"usdValue": "1234.56789",
"orderData": {
"fee": "1234.56789",
"positionSize": "1234.56789",
"feeCalculationInfo": {
"percentageFee": "1234.56789",
"userFeeDiscountApplied": "1234.56789",
"marketShareRebateCredited": "1234.56789"
}
},
"oldTakerOrder": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"filled": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "Limit",
"clientId": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000,
"positionUid": "<string>",
"spotData": {
"margin": true,
"feePreference": "Base",
"quantityPreference": "Base"
},
"parentOfGroupId": "<string>",
"memberOfGroupId": "<string>",
"partnerOrderId": "<string>",
"regulatoryExternalUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"partnerTradeId": "<string>",
"regulatoryData": {
"venue": "<string>",
"counterparty": "<string>",
"externalUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"takerReducedQuantity": "<string>"
}
}
}
],
"continuationToken": "aSDinaTvuI8gbWludGxpZnk="
}Get execution events
Lists executions/trades for authenticated account.
curl --request GET \
--url https://futures.kraken.com/api/history/v3/executions \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/api/history/v3/executions"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/api/history/v3/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/api/history/v3/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"len": 123,
"elements": [
{
"uid": "<string>",
"timestamp": 1604937694000,
"event": {
"execution": {
"execution": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"filled": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "Limit",
"clientId": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000,
"positionUid": "<string>",
"spotData": {
"margin": true,
"feePreference": "Base",
"quantityPreference": "Base"
},
"parentOfGroupId": "<string>",
"memberOfGroupId": "<string>",
"partnerOrderId": "<string>",
"regulatoryExternalUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"timestamp": 1604937694000,
"quantity": "1234.56789",
"price": "1234.56789",
"markPrice": "1234.56789",
"executionType": "maker",
"limitFilled": true,
"usdValue": "1234.56789",
"orderData": {
"fee": "1234.56789",
"positionSize": "1234.56789",
"feeCalculationInfo": {
"percentageFee": "1234.56789",
"userFeeDiscountApplied": "1234.56789",
"marketShareRebateCredited": "1234.56789"
}
},
"oldTakerOrder": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"filled": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "Limit",
"clientId": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000,
"positionUid": "<string>",
"spotData": {
"margin": true,
"feePreference": "Base",
"quantityPreference": "Base"
},
"parentOfGroupId": "<string>",
"memberOfGroupId": "<string>",
"partnerOrderId": "<string>",
"regulatoryExternalUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"partnerTradeId": "<string>",
"regulatoryData": {
"venue": "<string>",
"counterparty": "<string>",
"externalUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"takerReducedQuantity": "<string>"
}
}
}
],
"continuationToken": "aSDinaTvuI8gbWludGxpZnk="
}Authorizations
General API key with at least read-only access
Authentication string
Query Parameters
Timestamp in milliseconds.
1604937694000
Timestamp in milliseconds.
1604937694000
Determines the order of events in response(s).
asc= chronologicaldesc= reverse-chronological
asc, desc Opaque token from the Next-Continuation-Token header used to continue listing events. The
sort parameter must be the same as in the previous request to continue listing in the same
direction.
The maximum number of results to return. The upper bound is determined by a global limit.
x >= 1If present events of other tradeables are filtered out.
Response
Show child attributes
Show child attributes
Opaque token to pass to the next request to continue listing events. The sort parameter
must be the same as in the previous request to continue listing in the same direction.
Was this page helpful?